---
sidebar_position: 15
---
# Jackpot Setup

---

## Overview

- **Jackpot Feature** is a system where there are **multiple levels (tiers)** of prizes, usually increasing in value. This structure gives players a chance to win **smaller jackpots more frequently**, while still keeping a large top prize available.

| Tier  | Description                  | Preview                                                    |
|-------|------------------------------|------------------------------------------------------------|
| Grand | The top prize, very rare <br />and often worth thousands  <br />or even millions(especially if it's progressive)|![Grand](../img/05-main-scene/jackpot-panel/jackpot-grand.png) |
| Major | A significant prize, harder to win.        | ![Major](../img/05-main-scene/jackpot-panel/jackpot-major.png) |
| Minor | A bit higher in value, still fairly common.        | ![Minor](../img/05-main-scene/jackpot-panel/jackpot-minor.png) |
| Mini  | The smallest and easiest to win.  | ![Mini](../img/05-main-scene/jackpot-panel/jackpot-mini.png)   |

- The panel is responsive and supports both desktop and mobile layouts:

| Orientation | Preview                                                    |
|-------------|------------------------------------------------------------|
| Desktop     | ![Desktop](../img/05-main-scene/jackpot-panel/jackpot-desktop.png) |
| Mobile      | ![Mobile](../img/05-main-scene/jackpot-panel/jackpot-mobile.png)   |

## Implementation

### Core Prefabs

- Use the prefabs located at:  

    |`assets/core-assets/jackpot-package/prefabs`|![Core](../img/05-main-scene/jackpot-panel/jackpot-core-prefabs.png)|
    |--------------------------------------------|--------------------------------------------------------------------|

### Game Setup

#### Jackpot runner

##### Desktop

- The node jackpot to your main scene:

        ![Desktop](../img/05-main-scene/jackpot-panel/jackpot-in-desktop.png)

        More info: [Platform Node Spawner](http://localhost:3000/docs/faqs/setup-cocos-scene#platform-node-spawner)

##### Mobile

- Configure the jackpot node for both landscape and portrait orientations.

- Use `UI Mobile landscape Position` and `UI Mobile portrait Position` for a responsive layout.

        ![Mobile](../img/05-main-scene/jackpot-panel/jackpot-in-mobile.png)

         More info: [UI Mobile Position](http://localhost:3000/docs/faqs/setup-cocos-scene#ui-mobile-landscape--portrait--position)

- Example using `Platform Node Spawner`:

        ![Mobile Spawner](../img/05-main-scene/jackpot-panel/jackpot-in-mobile-spawner.png)

        More info: [Platform Node Spawner](http://localhost:3000/docs/faqs/setup-cocos-scene#platform-node-spawner)

#### Result Panel

- The jackpot panel works seamlessly across all platforms and orientations.

        ![Result](../img/05-main-scene/jackpot-panel/jackpot-positon-result.png)  

        More info: [Node Spawner](http://localhost:3000/docs/faqs/setup-cocos-scene#node-spawner)

:::tip
- Follow the game design layout.                  
:::


## Game Result Examples

| Win Tier | Example |
|----------|------------------------------------------------------------------|
| Grand    | ![Grand](../img/05-main-scene/jackpot-panel/jackpot-grand-win.jpg) |
| Major    | ![Major](../img/05-main-scene/jackpot-panel/jackpot-major-win.jpg) |
| Minor    | ![Minor](../img/05-main-scene/jackpot-panel/jackpot-minor-win.jpg) |
| Mini     | ![Mini](../img/05-main-scene/jackpot-panel/jackpot-mini-win.jpg)   |
